Page MenuHomePhabricator

Dialog actions are inconsistent in visual editor
Closed, ResolvedPublic

Description

Most editing dialogs have an "Apply changes" button, but some (the table dialog and extension dialogs) have "Done" instead. There's no obvious reason for this inconsistency.

Details

Related Gerrit Patches:
mediawiki/extensions/Graph : masterve.ui.MWGraphDialog: don't redefine actions
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (e9becf4d0)
mediawiki/extensions/VisualEditor : masterMake extension dialog done action messages match other dialogs
VisualEditor/VisualEditor : masterMake table dialog done action message match other dialogs

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2018, 8:12 PM

Change 463688 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[VisualEditor/VisualEditor@master] Make table dialog done action message match other dialogs

https://gerrit.wikimedia.org/r/463688

Change 463689 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] Make extension dialog done action messages match other dialogs

https://gerrit.wikimedia.org/r/463689

Change 463688 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Make table dialog done action message match other dialogs

https://gerrit.wikimedia.org/r/463688

Change 463689 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Make extension dialog done action messages match other dialogs

https://gerrit.wikimedia.org/r/463689

Change 463765 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e9becf4d0)

https://gerrit.wikimedia.org/r/463765

Change 463765 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e9becf4d0)

https://gerrit.wikimedia.org/r/463765

@Tchanders: This patch is supposed to convert all "Done" buttons to "Apply changes" for all dialogs right? I am still seeing "Done" button for all extension dialogs. Or maybe I'm missing something..

Tchanders added a comment.EditedOct 29 2018, 3:07 PM

@Ryasmeen Is it possible you're looking at inspectors? The extension dialogs are graph, math[1], chem[1], maps, syntax highlight and pre. These and other dialogs should all have "Apply changes" - do you see those?

The inspectors still have "Done", which possibly makes more sense because with some of them the changes are applied as you make them (e.g. if you highlight a word and open the link inspector, the link styling is added straight away; when you open the math/chem/score inspectors, the formula/score updates as you type, while the inspector is still open). OTOH dialogs take over the page and any changes are only applied upon closing. (I'd be happy to discuss changing the labels on inspectors, but this task is just meant for the dialogs.)

[1] For math and chem, if you click on "Quick edit", it opens an inspector instead of a dialog.

Esanders moved this task from Inbox to Low Priority on the Editing QA board.Nov 14 2018, 4:25 PM

@Tchanders: I see, yeah I rechecked for the extension dialogs and all of them have "Apply changes" button except the one for Graph. It's still showing "Done" for me.

marcella removed Tchanders as the assignee of this task.Nov 28 2018, 3:11 PM
marcella moved this task from Stalled/Waiting to Incoming on the VisualEditor (Current work) board.

@Ryasmeen Oops looks like I forgot to push the change - thanks for pointing that out!

Change 476295 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/Graph@master] ve.ui.MWGraphDialog: don't redefine actions

https://gerrit.wikimedia.org/r/476295

Change 476295 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] ve.ui.MWGraphDialog: don't redefine actions

https://gerrit.wikimedia.org/r/476295

matmarex added subscribers: iamjessklein, matmarex.

(@iamjessklein said she wanted to take a look at this.)

👍this looks good to me. Thanks for figuring out the discrepancies @matmarex @Ryasmeen @Tchanders

marcella closed this task as Resolved.Dec 14 2018, 4:18 PM
marcella claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 14 2018, 4:18 PM